package org.processmining.localprocessmodelconformance.plugins;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginCategory;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.lpm.util.LocalProcessModel;
import org.processmining.lpm.util.LocalProcessModelRanking;

@Plugin(name = "Convert Accepting Petri Net to Local Process Model Ranking", parameterLabels = { "Process Model" }, returnLabels = { "Local Process Model Ranking" }, returnTypes = {
		LocalProcessModelRanking.class }, userAccessible = true, categories = { PluginCategory.Enhancement })

public class ProcessModelToLocalProcessModelRanking {
	
	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "N. Tax", email = "n.tax@tue.nl", pack = "LocalProcessModelConformance")
	@PluginVariant(variantLabel = "Convert Accepting Petri Net to Local Process Model Ranking", requiredParameterLabels = { 0 })
	public LocalProcessModelRanking abstractLogBasedOnPatterns(PluginContext context, AcceptingPetriNet apn){
		LocalProcessModel lpm = new LocalProcessModel(apn);
		LocalProcessModelRanking ranking = new LocalProcessModelRanking();
		ranking.addNet(lpm);
		return ranking;
	}
}
